%global srcname requests-toolbelt
%global sum     A utility belt for advanced users of python-requests

# tests requires network connection
%bcond_with test

Name:           python-%{srcname}
Version:        0.9.1
Release:        %mkrel 3
Summary:        %{sum}
Group:          Development/Python
License:        ASL 2.0
URL:            https://toolbelt.readthedocs.org/
Source0:        https://files.pythonhosted.org/packages/source/r/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
This is just a collection of utilities for python-requests, but don’t really
belong in requests proper.

%package -n python3-%{srcname}
Summary:        %{sum}
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(betamax)
BuildRequires:  python3dist(mock)
%if %{with test}
BuildRequires:  python3dist(pytest)
%endif
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This is just a collection of utilities for python-requests, but don’t really
belong in requests proper.

%prep
%autosetup -n %{srcname}-%{version}

# remove bundled egg-info
rm -rf %{srcname}.egg-info/

%build
%py3_build

%install
%py3_install

%if %{with test}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/requests_toolbelt
%{python3_sitelib}/requests_toolbelt-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.9.1-3.mga8
+ Revision: 1530996
- Mageia 8 Mass Rebuild

* Sun Sep 08 2019 wally <wally> 0.9.1-2.mga8
+ Revision: 1438358
- rebuild for python3.8

* Fri Aug 30 2019 wally <wally> 0.9.1-1.mga8
+ Revision: 1435714
- new version 0.9.1
- drop python2 support
- disable tests (requires networking)

* Sat Jan 12 2019 wally <wally> 0.8.0-1.mga7
+ Revision: 1355649
- new version 0.8.0

* Mon Jan 07 2019 wally <wally> 0.6.1-6.mga7
+ Revision: 1350726
- rebuild for python3.7

* Sun Jan 06 2019 kekepower <kekepower> 0.6.1-5.mga7
+ Revision: 1350221
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.6.1-4.mga7
+ Revision: 1290000
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.6.1-3.mga7
+ Revision: 1135611
- Rebuild for python 3.6

* Wed May 11 2016 ngompa <ngompa> 0.6.1-2.mga6
+ Revision: 1012969
- imported package python-requests-toolbelt


* Wed May 11 2016 Neal Gompa <ngompa13@gmail.com> - 0.6.1-2
- Port to Mageia

* Mon May 09 2016 Parag Nemade <pnemade AT redhat DOT com> - 0.6.1-1
- update to 0.6.1 release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan 28 2016 Parag Nemade <pnemade AT redhat DOT com> - 0.6.0-1
- update to 0.6.0 release

* Mon Dec 21 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.5.1-1
- update to 0.5.1 release

* Thu Nov 26 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.5.0-1
- update to 0.5.0 release

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Apr 06 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.4.0-1
- update to 0.4.0 release

* Fri Feb 13 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.3.1-2
- Add missing LICENSE file

* Mon Feb 02 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.3.1-1
- Initial packaging

